petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetDM

Gets the DM that may be used by some preconditioners

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetDM(TS ts,DM *dm)

Not Collective

### Input Parameter

ts -the preconditioner context

### Output Parameter

dm -the dm

### See Also

TSSetDM(), SNESSetDM(), SNESGetDM()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex13.c.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex17.c.html
src/ts/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex25.c.html
src/ts/examples/tutorials/ex26.c.html
src/ts/examples/tutorials/ex34.c.html
src/ts/examples/tutorials/ex35.cxx.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages